package com.ruoyi.project.training.bccnew.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 进组培训模版对象 t_ts_firstplan_tmpl
 *
 * @author ssy
 * @date 2024-05-22
 */
public class TTsFirstplanTmpl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 培训员工编号 */
    private Long newId;

    /** 课程编号 */
    @Excel(name = "课程编号")
    private String courseCode;

    /** 培训主题 */
    @Excel(name = "培训主题")
    private String topic;

    /** 材料版本 */
    @Excel(name = "材料版本")
    private String materialVer;

    /** 培训内容 */
    private String content;

    /** 培训天 */
    private String courseDay;

    /** 培训小时 */
    @Excel(name = "培训时长h")
    private Double courseHour;

    /** 培训类型 */
    private String courseType;

    /** 考试评估方式 */
    private String examType;

    /** 讲师 */
    @Excel(name = "讲师")
    private String trainer;

    /** 应学习时长 */
    private Double timerNeed;

    /** 培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date courseDate;

    /** 考核情况 */
    private String assess;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    private String fileUrl;

    private String fileName;

    /** 模板排序 */
    private Long sortTmpl;

    private Long examId;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getMaterialVer() {
        return materialVer;
    }

    public void setMaterialVer(String materialVer) {
        this.materialVer = materialVer;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public Long getSortTmpl() {
        return sortTmpl;
    }

    public void setSortTmpl(Long sortTmpl) {
        this.sortTmpl = sortTmpl;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public Double getTimerNeed() {
        return timerNeed;
    }

    public void setTimerNeed(Double timerNeed) {
        this.timerNeed = timerNeed;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setNewId(Long newId)
    {
        this.newId = newId;
    }

    public Long getNewId()
    {
        return newId;
    }
    public void setCourseCode(String courseCode)
    {
        this.courseCode = courseCode;
    }

    public String getCourseCode()
    {
        return courseCode;
    }
    public void setTopic(String topic)
    {
        this.topic = topic;
    }

    public String getTopic()
    {
        return topic;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setCourseDay(String courseDay)
    {
        this.courseDay = courseDay;
    }

    public String getCourseDay()
    {
        return courseDay;
    }
    public void setCourseHour(Double courseHour)
    {
        this.courseHour = courseHour;
    }

    public Double getCourseHour()
    {
        return courseHour;
    }
    public void setCourseType(String courseType)
    {
        this.courseType = courseType;
    }

    public String getCourseType()
    {
        return courseType;
    }
    public void setTrainer(String trainer)
    {
        this.trainer = trainer;
    }

    public String getTrainer()
    {
        return trainer;
    }
    public void setCourseDate(Date courseDate)
    {
        this.courseDate = courseDate;
    }

    public Date getCourseDate()
    {
        return courseDate;
    }
    public void setAssess(String assess)
    {
        this.assess = assess;
    }

    public String getAssess()
    {
        return assess;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("newId", getNewId())
            .append("courseCode", getCourseCode())
            .append("topic", getTopic())
            .append("content", getContent())
            .append("courseDay", getCourseDay())
            .append("courseHour", getCourseHour())
            .append("courseType", getCourseType())
            .append("trainer", getTrainer())
            .append("courseDate", getCourseDate())
            .append("assess", getAssess())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
